org.apache.lucene.queryparser.flexible.core.config

## Class FieldConfig

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.core.config.AbstractQueryConfig
  - - org.apache.lucene.queryparser.flexible.core.config.FieldConfig

    public class FieldConfig
    extends AbstractQueryConfig

This class represents a field configuration.

### Constructor Summary

Constructors
Constructor and Description
`FieldConfig(String fieldName)` Constructs a `FieldConfig`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getField()` Returns the field name this configuration represents.
`String` `toString()`

### Methods inherited from class org.apache.lucene.queryparser.flexible.core.config.AbstractQueryConfig

`get, has, set, unset`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FieldConfig

    public FieldConfig(String fieldName)

Constructs a `FieldConfig`

Parameters:
  `fieldName` - the field name, it must not be null
Throws:
  `IllegalArgumentException` - if the field name is null

### Method Detail

#### getField

    public String getField()

Returns the field name this configuration represents.

Returns:
  the field name

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`